Loading...
Searching...
No Matches
Exiv2::GroupInfo Struct Reference

The details of an Exif group. Groups include IFDs and binary arrays. More...

`#include <tags.hpp>`

Inheritance diagram for Exiv2::GroupInfo:
[legend]

## Public Member Functions

bool | operator== (int ifdId) const
| Comparison operator for IFD id.
bool | operator== (const GroupName &groupName) const
| Comparison operator for group name.
| GroupName (const std::string &groupName)

## Public Attributes

int | ifdId_
| IFD id.
const char * | ifdName_
| IFD name.
const char * | groupName_
| Group name, unique for each group.
TagListFct | tagList_
| Tag list.
std::string | g_
| Group name.

## Detailed Description

The details of an Exif group. Groups include IFDs and binary arrays.

Search key to find a GroupInfo by its group name.

The documentation for this struct was generated from the following files:

- tags.hpp
- tags.cpp